[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# TInputPipeStream.Write

Write data to the stream.

## Declaration

Source position: pipes.pp line 36

`public function TInputPipeStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Memory buffer containing the data to be written.
`Count` |  | Number of bytes that must be written.

## Function result

Number of bytes actually written.

## Description

Write overrides the parent implementation of Write. On a TInputPipeStream will always raise an exception, as the pipe is read-only.

## Errors

An ENoWritePipe exception is raised when this function is called.

## See also

Read |  | Read data from the stream to a buffer.
Seek |  | Set the current position of the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net .